# Query User Profiles

Query User Profiles

 - [POST /queryUserProfiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/createqueryuserprofile.md): This method will auto-generate an ID and create a new query user profile. If an ID is specified for the query user profile, an error will be thrown.
 - [POST /queryUserProfiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/deletequeryuserprofile.md): This method will delete a query user profile with the specified ID.
 - [GET /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/getqueryuserprofile.md): This method will look up a query user profile by the specified ID and return it back.
 - [PATCH /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/patchqueryuserprofile.md): This method will patch an existing query user profile with the specified ID, using the HTTP PATCH specification.
 - [PUT /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/updatequeryuserprofile.md): This method will update an existing query user profile with the specified ID.
